org.springframework.data.config

## Class TypeFilterParser

- java.lang.Object
- - org.springframework.data.config.TypeFilterParser

    public class TypeFilterParser
    extends Object

Parser to populate the given `ClassPathScanningCandidateComponentProvider` with `TypeFilter`s parsed from the given `Element`'s children.

Author:
  Oliver Gierke

### Nested Class Summary

Nested Classes
`static class` `TypeFilterParser.Type`

### Constructor Summary

Constructors
Constructor and Description
`TypeFilterParser(XmlReaderContext readerContext)` Creates a new `TypeFilterParser` with the given `ReaderContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected TypeFilter` `createTypeFilter(Element element, ClassLoader classLoader)` Creates a `TypeFilter` instance from the given `Element` and `ClassLoader`.
`Collection<TypeFilter>` `parseTypeFilters(Element element, TypeFilterParser.Type type)` Returns all `TypeFilter` declared in nested elements of the given `Element`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeFilterParser

    public TypeFilterParser(XmlReaderContext readerContext)

Creates a new `TypeFilterParser` with the given `ReaderContext`.

Parameters:
  `readerContext` - must not be null.

### Method Detail

#### parseTypeFilters

    public Collection<TypeFilter> parseTypeFilters(Element element,
                                                   TypeFilterParser.Type type)

Returns all `TypeFilter` declared in nested elements of the given `Element`. Allows to selectively retrieve including or excluding filters based on the given `TypeFilterParser.Type`.

Parameters:
  `element` - must not be null.
  `type` - must not be null.
Returns:

#### createTypeFilter

    protected TypeFilter createTypeFilter(Element element,
                                          ClassLoader classLoader)

Creates a `TypeFilter` instance from the given `Element` and `ClassLoader`.

Parameters:
  `element` - must not be null.
  `classLoader` - must not be null.
Returns: